delorie.com/archives/browse.cgi   search  
Mail Archives: cygwin/2001/08/04/03:15:13

Mailing-List: contact cygwin-help AT sourceware DOT cygnus DOT com; run by ezmlm
List-Subscribe: <mailto:cygwin-subscribe AT sources DOT redhat DOT com>
List-Archive: <http://sources.redhat.com/ml/cygwin/>
List-Post: <mailto:cygwin AT sources DOT redhat DOT com>
List-Help: <mailto:cygwin-help AT sources DOT redhat DOT com>, <http://sources.redhat.com/ml/#faqs>
Sender: cygwin-owner AT sources DOT redhat DOT com
Delivered-To: mailing list cygwin AT sources DOT redhat DOT com
Message-ID: <002401c11cb4$2906d850$562fa4cb@co3007967a>
From: "Travis Howell" <kirben AT optushome DOT com DOT au>
To: <cygwin AT cygwin DOT com>
References: <74 DOT 584150 DOT 637692 AT best111>
Subject: New Cygwin patches for Bind 8.2.4/8.2.5a/8.3.0a
Date: Sat, 4 Aug 2001 17:07:44 +1000
MIME-Version: 1.0
X-Priority: 3
X-MSMail-Priority: Normal
X-Mailer: Microsoft Outlook Express 5.50.4807.1700
X-MIMEOLE: Produced By Microsoft MimeOLE V5.50.4807.1700

------=_NextPart_000_0020_01C11D07.FA86A830
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit

New patches from Stephen C. Biggs to allow Bind 8.2.4/8.2.5a and 8.3.0a to
compile on Cygwin are attached for anyone interested
Use bind-8.2.5-T1A.CYGWIN.patch for bind 8.2.4 and bind 8.2.5a
Use bind-8.3.0-T1A.CYGWIN.patch for bind 8.3.0

------=_NextPart_000_0020_01C11D07.FA86A830
Content-Type: application/octet-stream;
	name="bind-8.3.0-T1A.CYGWIN.patch"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
	filename="bind-8.3.0-T1A.CYGWIN.patch"

diff -urN bind-8.3.0-T1A/src/port/cygwin/bin/probe_ipv6 =
bind-8.3.0-T1A-cygwin/src/port/cygwin/bin/probe_ipv6=0A=
--- bind-8.3.0-T1A/src/port/cygwin/bin/probe_ipv6	Wed Dec 31 16:00:00 =
1969=0A=
+++ bind-8.3.0-T1A-cygwin/src/port/cygwin/bin/probe_ipv6	Wed Jul 25 =
02:13:30 2001=0A=
@@ -0,0 +1,55 @@=0A=
+#!/bin/sh=0A=
+=0A=
+set -e=0A=
+PATH=3D/bin:/usr/bin:$PATH; export PATH=0A=
+trap "rm -f tmp$$a.c tmp$$b.c tmp$$a.o tmp$$b.o" 0=0A=
+target=3Dport_ipv6=0A=
+new=3Dnew_${target}.h=0A=
+old=3D${target}.h=0A=
+=0A=
+cat > tmp$$a.c <<EOF=0A=
+#include <sys/types.h>=0A=
+#include <netinet/in.h>=0A=
+struct sockaddr_in6 xx;=0A=
+EOF=0A=
+=0A=
+cat > tmp$$b.c <<EOF=0A=
+#include <sys/types.h>=0A=
+#include <netinet/in.h>=0A=
+struct in6_addr xx;=0A=
+EOF=0A=
+=0A=
+cat > ${new} <<EOF=0A=
+=0A=
+/* This file is automatically generated. Do Not Edit. */=0A=
+=0A=
+#ifndef ${target}_h=0A=
+#define ${target}_h=0A=
+=0A=
+EOF=0A=
+=0A=
+if ${CC} -c tmp$$a.c > /dev/null 2>&1=0A=
+then=0A=
+        echo "#define HAS_INET6_STRUCTS" >> ${new}=0A=
+        if ${CC} -c tmp$$b.c > /dev/null 2>&1=0A=
+        then=0A=
+		:=0A=
+	else=0A=
+                echo "#define in6_addr in_addr6" >> ${new}=0A=
+        fi=0A=
+else=0A=
+        echo "#undef HAS_INET6_STRUCTS" >> ${new}=0A=
+fi=0A=
+echo  >> ${new}=0A=
+echo "#endif" >> ${new}=0A=
+if [ -f ${old} ]; then=0A=
+        if cmp -s ${new} ${old} ; then=0A=
+                rm -f ${new}=0A=
+        else=0A=
+                rm -f ${old}=0A=
+                mv ${new} ${old}=0A=
+        fi=0A=
+else=0A=
+        mv ${new} ${old}=0A=
+fi=0A=
+exit 0=0A=
diff -urN bind-8.3.0-T1A/src/port/cygwin/include/Makefile =
bind-8.3.0-T1A-cygwin/src/port/cygwin/include/Makefile=0A=
--- bind-8.3.0-T1A/src/port/cygwin/include/Makefile	Tue Nov 21 04:54:57 =
2000=0A=
+++ bind-8.3.0-T1A-cygwin/src/port/cygwin/include/Makefile	Wed Jul 25 =
02:19:52 2001=0A=
@@ -65,10 +65,15 @@=0A=
 		(cd $$x; pwd; ${MAKE} ${MARGS} $@) || exit 1; \=0A=
 	done=0A=
 =0A=
+all depend:: port_ipv6.h=0A=
+=0A=
+port_ipv6.h: FRC=0A=
+	probe_ipv6=0A=
+=0A=
 distclean:: clean=0A=
 =0A=
 clean::=0A=
-	rm -f *~ *.BAK *.CKP *.orig=0A=
+	rm -f *~ *.BAK *.CKP *.orig port_ipv6.h=0A=
 =0A=
 links: FRC=0A=
 	@set -e; ln -s SRC/*.h .=0A=
diff -urN bind-8.3.0-T1A/src/port/cygwin/include/port_after.h =
bind-8.3.0-T1A-cygwin/src/port/cygwin/include/port_after.h=0A=
--- bind-8.3.0-T1A/src/port/cygwin/include/port_after.h	Wed Jun 20 =
20:52:30 2001=0A=
+++ bind-8.3.0-T1A-cygwin/src/port/cygwin/include/port_after.h	Wed Jul =
25 02:17:42 2001=0A=
@@ -9,8 +9,8 @@=0A=
 #define HAVE_MINIMUM_IFREQ=0A=
 #define HAVE_CHROOT=0A=
 #define CAN_CHANGE_ID=0A=
-#define HAS_INET6_STRUCTS =0A=
-#define MISSING_IN6ADDR_ANY=0A=
+#define NEED_IN6ADDR_ANY=0A=
+#define NEED_SOCKADDR_STORAGE=0A=
 #define SPRINTF_INT=0A=
 #define VSPRINTF_INT=0A=
 #define __BIND_RES_TEXT=0A=
@@ -57,6 +57,8 @@=0A=
 /* SunOS provides vsprintf but doesn't prototype it. */=0A=
 #include <stdarg.h>=0A=
 =0A=
+#include <port_ipv6.h>=0A=
+=0A=
 /*=0A=
  * We need to know the IPv6 address family number even on IPv4-only =
systems.=0A=
  * Note that this is NOT a protocol constant, and that if the system =
has its=0A=
@@ -93,14 +95,17 @@=0A=
 	struct in6_addr	sin6_addr;	/* IPv6 address */=0A=
 	u_int32_t	sin6_scope_id;	/* set of interfaces for a scope */=0A=
 };=0A=
+#endif /* HAS_INET6_STRUCTS */=0A=
 =0A=
+/* for Cygwin up to now (!) need to define these in the 'net includes =0A=
+   if HAS_INET6_STRUCTS can be defined! */=0A=
 #ifndef IN6ADDR_ANY_INIT=0A=
 #define	IN6ADDR_ANY_INIT	{{0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0}}=0A=
 #endif=0A=
+=0A=
 #ifndef IN6ADDR_LOOPBACK_INIT=0A=
 #define	IN6ADDR_LOOPBACK_INIT	{{0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1}}=0A=
 #endif=0A=
-#endif  /* HAS_INET6_STRUCTS */=0A=
 =0A=
 #if defined(NEED_SOCKADDR_STORAGE) || !defined(HAS_INET6_STRUCTS)=0A=
 #define __SS_MAXSIZE 128=0A=
diff -urN bind-8.3.0-T1A/src/port/cygwin/include/sys/un.h =
bind-8.3.0-T1A-cygwin/src/port/cygwin/include/sys/un.h=0A=
--- bind-8.3.0-T1A/src/port/cygwin/include/sys/un.h	Sun Apr  1 11:11:49 =
2001=0A=
+++ bind-8.3.0-T1A-cygwin/src/port/cygwin/include/sys/un.h	Wed Jul 25 =
01:56:20 2001=0A=
@@ -0,0 +1,6 @@=0A=
+#ifndef _cygwin_sys_un_h=0A=
+#define _cygwin_sys_un_h=0A=
+=0A=
+#include_next <sys/un.h>=0A=
+=0A=
+#endif=0A=

------=_NextPart_000_0020_01C11D07.FA86A830
Content-Type: application/octet-stream;
	name="bind-8.2.5-T1A.CYGWIN.patch"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
	filename="bind-8.2.5-T1A.CYGWIN.patch"

diff -urN bind-8.2.5-T1A/src/port/cygwin/include/sys/un.h =
bind-8.2.5-T1A-cygwin/src/port/cygwin/include/sys/un.h=0A=
--- bind-8.2.5-T1A/src/port/cygwin/include/sys/un.h	Sun Apr  1 11:11:49 =
2001=0A=
+++ bind-8.2.5-T1A-cygwin/src/port/cygwin/include/sys/un.h	Wed Jul 25 =
02:32:52 2001=0A=
@@ -0,0 +1,6 @@=0A=
+#ifndef _cygwin_sys_un_h=0A=
+#define _cygwin_sys_un_h=0A=
+=0A=
+#include_next <sys/un.h>=0A=
+=0A=
+#endif=0A=


------=_NextPart_000_0020_01C11D07.FA86A830
Content-Type: text/plain; charset=us-ascii

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/
------=_NextPart_000_0020_01C11D07.FA86A830--

- Raw text -


  webmaster     delorie software   privacy  
  Copyright © 2019   by DJ Delorie     Updated Jul 2019